#include <iostream>
#include <vector>
#include <string>
#include <iterator>
#include <cmath> 
using namespace std;

int main() {
	int a1, a2;
	string c;
	cin>>c;
	cin>>a1;
	cin>>a2;
	if(abs(a1-a2)==0 or abs(a1-a2)==1){
		    if(a1>a2){
			    for(int i=0;i<a1+a2;i++){
			     	if(i%2==0){
					cout<<c[0];
				    }
				    else cout<<c[1];
			        }
			    }
			if(a2>a1){
			    for(int i=0;i<a1+a2;i++){
				    if(i%2==0){
					cout<<c[1];
			     	}
				    else cout<<c[0];
			    }
		    }
		    if(a1==a2){
			for(int i=0;i<a1+a2;i++){
				if(i%2==0){
					cout<<c[0];
				}
				else cout<<c[1];
			}
		}
		}
	
	else cout<<"nemoguce";
	
	return 0;
}